Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159005 - syntax error in /etc/radvd.conf, line 60: prefix
Summary: syntax error in /etc/radvd.conf, line 60: prefix
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: radvd
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-27 15:52 UTC by Derek Poon
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: radvd-0.8-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-27 22:04:25 UTC


Attachments (Terms of Use)
Default example radvd.conf file (deleted)
2005-05-27 17:52 UTC, Jason Vas Dias
no flags Details

Description Derek Poon 2005-05-27 15:52:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412 (KHTML, like Gecko) Safari/412

Description of problem:
As shipped, declarations in /etc/radvd.conf are in the wrong order.

Out of the box configuration (excerpts):
  interface eth0 {
      # Example of a standard prefix
      prefix 3ffe:0302:0011:0002::/64 { ... };

      # Example of a more specific route
      route 2001:db0:fff::/48 { ... };

      # Example of a 6to4 prefix
      prefix 0:0:0:1234::/64 { ... };
};

Version-Release number of selected component (if applicable):
radvd-0.7.3-1_FC3

How reproducible:
Always

Steps to Reproduce:

With the out-of-the-box configuration (excerpts):

  interface eth0 {
      # Example of a standard prefix
      prefix 3ffe:0302:0011:0002::/64 { ... };

      # Example of a more specific route
      route 2001:db0:fff::/48 { ... };

      # Example of a 6to4 prefix
      prefix 0:0:0:1234::/64 { ... };
};

Run /sbin/service radvd start

Actual Results:  While trying to start radvd, the following errors appear in /var/log/messages:

radvd[19980]: syntax error in /etc/radvd.conf, line 60: prefix
radvd[19980]: syntax error in config file: /etc/radvd.conf
radvd: radvd startup failed

Expected Results:  Simply rearranging the blocks lets it start up:

  interface eth0 {
      # Example of a standard prefix
      prefix 3ffe:0302:0011:0002::/64 { ... };

      # Example of a 6to4 prefix
      prefix 0:0:0:1234::/64 { ... };

      # Example of a more specific route
      route 2001:db0:fff::/48 { ... };
};

Additional info:

Comment 1 Jason Vas Dias 2005-05-27 16:13:17 UTC
The radvd.conf EXAMPLE shipped with radvd-0.7.3 is shipped as 
%config(noreplace) , so if an /etc/radvd.conf existed previously, the
new radvd.conf would be installed as /etc/radvd.conf.rpmnew  .

RPMs should never overwrite existing configuration files. 

Yes, the radvd.conf example for 0.7.2 will not work with 0.7.3 - 
copy /etc/radvd.conf.rpmnew to /etc/radvd.conf, and all should be
OK - except you need to modify it to do something useful, not just
provide examples of its syntax !

Let me know if you have any issues using the radvd.conf from 0.7.3 .
 
 

Comment 2 Derek Poon 2005-05-27 17:16:53 UTC
That WAS the radvd.conf from 0.7.3-1_FC3, which I tried to use with radvd-0.7.3-1_FC3.

# rm /etc/radvd.conf
# rpm -Uvh --force radvd-0.7.3-1_FC3.i386.rpm
# rpm -V radvd
# service radvd restart

was how I attained the error.

Comment 3 Jason Vas Dias 2005-05-27 17:52:47 UTC
Created attachment 114921 [details]
Default example radvd.conf file

Comment 4 Jason Vas Dias 2005-05-27 17:55:51 UTC
I've attached the default EXAMPLE radvd.conf file.

NOTE: this is an EXAMPLE, which serves only to demonstrate the 
      syntax of radvd.conf, and is not meant to be used for a
      real radvd configuration.

In future releases, I'll make /etc/radvd.conf an empty file with
the comment "# See /usr/share/doc/radvd*/radvd.conf.example", and
install the example radvd.conf as a %doc file .


Comment 5 Pekka Savola 2005-07-05 07:16:37 UTC
Hi,

I'm preparing for a new upstream radvd release.  If you'd like to see some
changes in the .spec file we ship, I'm open to suggestions
(and/or patches :).

FWIW, your idea about making radvd.conf basically empty seems OK, as there
is not really such a thing as a working default radvd configuration..

Comment 6 Pekka Savola 2005-07-08 12:20:48 UTC
Well, I did basically what you suggested in the just-released 0.8.

Comment 7 Jason Vas Dias 2005-07-27 22:04:25 UTC
This is now fixed in the current release of radvd :
Rawhide: 0.8-2.FC5
FC4    : 0.8-2.FC4
FC3    : 0.8-2.FC3



Note You need to log in before you can comment on or make changes to this bug.